## org.exist.xquery.value.test
Class AnyURITest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.exist.xquery.value.test.AnyURITest

All Implemented Interfaces:
  junit.framework.Test

public class AnyURITest
extends junit.framework.TestCase

Author:
  cgeorg

Constructor Summary
`AnyURITest()`

Method Summary
`static void` `main(java.lang.String[] args)`
`void` `testFullyEscapedStringToURI()`
`void` `testFullyEscapedStringToXmldbURI()`
`void` `testPartiallyEscapedStringToURI()`
`void` `testPartiallyEscapedStringToXmldbURI()`

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AnyURITest

    public AnyURITest()

Method Detail

### main

    public static void main(java.lang.String[] args)

### testFullyEscapedStringToXmldbURI

    public void testFullyEscapedStringToXmldbURI()

### testFullyEscapedStringToURI

    public void testFullyEscapedStringToURI()

### testPartiallyEscapedStringToXmldbURI

    public void testPartiallyEscapedStringToXmldbURI()

### testPartiallyEscapedStringToURI

    public void testPartiallyEscapedStringToURI()

Copyright (C) Wolfgang Meier. All rights reserved.